package iDSS;


import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.beans.*;
import java.util.*;


import iDSS.utils.*;
import iDSS.disp.*;




public class ModelSetupView extends JFrame {

    private JDesktopPane desktopPane;


    public ModelSetupView(String title,int width,int height) {


        super(title);
        pack();
        setSize(width,height);


        desktopPane = new JDesktopPane();
        setContentPane(desktopPane);
        
        setVisible(true);



    } //public ModelSetupView(String title,int width,int height)




    public void addToView(DisplayFrame frame) {

        desktopPane.add(frame);
        desktopPane.setPosition(frame,0);
        setContentPane(desktopPane);

    } //public void addToView(DisplayFrame frame)






    public void removeFromView(DisplayFrame frame) {

        desktopPane.remove(frame);
        setContentPane(desktopPane);

    } //public void removeFromView(DisplayFrame frame)




    public void removeAllFromView() {

        desktopPane.removeAll();
        setContentPane(desktopPane);

    } //public void removeAllFromView()






} //public class ModelSetupView extends JFrame

